#!/bin/bash

clear
echo "Launching Rational AppScan Tester Edition Adapter Setup..."
echo -e "\n"
echo This utility will ask for connection information to Rational Quality Manager.
echo The information entered will then be saved for all subsequent connections from the Rational AppScan Tester Edition Adapter to Rational Quality Manager.
echo -e "\n" 
echo After successfully running this tool, use the 'Start Rational AppScan Tester Edition Adapter' Start Menu Item to start the adapter
echo -e "\n"

FILENAME=./jars.txt
DEPS=
while read line
do 

if [ $DEPS ]
then
DEPS=$DEPS:./$line.jar
else
DEPS=./$line.jar
fi

done < $FILENAME

./../../server/linux/ibm-java2-i386-50/jre/bin/java -Dlog4j.configuration=file:./log4j.properties -classpath $DEPS com.ibm.rqm.adapter.appscan.ase.QMASEAdapter -createConnectionFile -ask